/* ------------------------------ */
/* ----------- Filter ----------- */
/* ------------------------------ */

.filters, .story-kategorie_filter_box, .category_filter_box  {
    display: -ms-flexbox;
    display: -webkit-box;
    display: flex;
    -webkit-box-flex: 0;
    -ms-flex: 0 1 auto;
    flex: 0 1 auto;
    -ms-flex-wrap: wrap;
    flex-wrap: wrap;

    margin-bottom: calc(-1 * var(--spacing-2));
}

.filters button.filter, .asp_option_checkbox {
    display: inline-block;
    cursor: pointer;
    font-size: var(--font-size-1);
    font-weight: bold;
    line-height: var(--line-height-1);
    color: var(--brand-blue-shade);
    border: 1px solid var(--brand-blue-shade);
    border-radius: 50px;
    -webkit-transition: color var(--transition-2), background-color var(--transition-2), opacity var(--transition-2);
    -o-transition: color var(--transition-2), background-color var(--transition-2), opacity var(--transition-2);
    transition: color var(--transition-2), background-color var(--transition-2), opacity var(--transition-2);
}

.filters button.filter span {
    -webkit-transition: opacity var(--transition-2);
    -o-transition: opacity var(--transition-2);
    transition: opacity var(--transition-2);
}

.no-touchevents .filters button.filter:not(.filter--active):hover span, .no-touchevents .asp_option_checkbox:hover {
    opacity: var(--opacity);
}

.filters button.filter.filter--active, input.asp_storykategorie_checkbox:checked + .asp_option_checkbox, input.asp_category_checkbox:checked + .asp_option_checkbox {
    color: var(--brand-white);
    background-color: var(--brand-blue-shade);
    opacity: 1 !important;
}



/* ------------------------------ */
/* -------- Media Queries ------- */
/* ------------------------------ */

@media all and (min-width: 576px) {

    .filters button.filter, .asp_option_checkbox {
        margin-right: var(--spacing-2);
        margin-bottom: var(--spacing-2);
    }

}


@media all and (min-width: 1240px) {

    .filters button.filter, .asp_option_checkbox {
        padding: 12px 20px 7px;
    }

    .macos .filters button.filter, .macos .asp_option_checkbox,
    .ios .filters button.filter, .ios .asp_option_checkbox {
        padding-top: 10px;
        padding-bottom: 9px;
    }

}


@media all and (max-width: 1239.98px) and (min-width: 992px) {

    .filters button.filter, .asp_option_checkbox {
        padding: 8px 18px 4px;
    }

    .macos .filters button.filter, .macos .asp_option_checkbox,
    .ios .filters button.filter, .ios .asp_option_checkbox {
        padding-top: 6px;
        padding-bottom: 6px;
    }

}


@media all and (max-width: 991.98px) and (min-width: 576px) {

    .filters button.filter, .asp_option_checkbox {
        padding: 8px 14px 4px;
    }

    .macos .filters button.filter, .macos .asp_option_checkbox,
    .ios .filters button.filter, .ios .asp_option_checkbox {
        padding-top: 5px;
        padding-bottom: 6px;
    }

}


@media all and (max-width: 767.98px) {

    .filter_button {
        display: -webkit-box;
        display: -ms-flexbox;
        display: flex;
        -webkit-box-pack: justify;
            -ms-flex-pack: justify;
                justify-content: space-between;
        width: 100%;
        border: 1px solid var(--brand-blue-shade);
        border-radius: 30px;
    }

    .filter_button > span, .filter_button b, .filter_button .amount {
        font-size: var(--font-size-1);
        color: var(--brand-blue-shade);
    }

    .filter_button > span, .filter_button b {
        font-weight: bold;
    }

    .filter_button .amount > b {
        margin-right: 8px;
    }

    button.filter_button::after {
        background-color: transparent !important;
    }

    .filter_button .icon {
        -webkit-transform: rotate(90deg);
            -ms-transform: rotate(90deg);
                transform: rotate(90deg);
        fill: var(--brand-blue-shade);
        -webkit-transition: -webkit-transform var(--transition-2);
        transition: -webkit-transform var(--transition-2);
        -o-transition: transform var(--transition-2);
        transition: transform var(--transition-2);
        transition: transform var(--transition-2), -webkit-transform var(--transition-2);
    }

    .filter_button.is-open .icon {
        -webkit-transform: rotate(-90deg);
            -ms-transform: rotate(-90deg);
                transform: rotate(-90deg);
    }

    .team__filter {
        padding-right: 0;
        padding-left: 0;
        z-index: 1;
    }

    .success_stories__filter, .blog__filter, #wpdreams_asp_settings_1, #wpdreams_asp_settings_2 {
        position: relative;
        z-index: 1;
    }

    .team .filters, #ajaxsearchprobsettings2_1, #ajaxsearchprobsettings1_1 {
        opacity: 0 !important;
        visibility: hidden !important;
        position: absolute;
        top: calc(36px + var(--spacing-3));
        left: 0;
        background-color: var(--brand-white);
        
        border: 1px solid var(--brand-blue-shade);
        border-radius: 18px;
        -webkit-transition: opacity var(--transition-2), visibility var(--transition-2);
        -o-transition: opacity var(--transition-2), visibility var(--transition-2);
        transition: opacity var(--transition-2), visibility var(--transition-2);
    }

    .team .filters.visible, #ajaxsearchprobsettings2_1.visible, #ajaxsearchprobsettings1_1.visible {
        opacity: 1 !important;
        visibility: visible !important;
    }
    
    .filter_button .amount {
        display: none;
    }

    .filter_button .amount > span {
        font-weight: normal;
    }

}


@media all and (max-width: 767.98px) and (min-width: 576px) {

    .section > .section__blog, .section > .section__success_stories {
        padding-top: var(--spacing-8);
    }

    .filter_button, .team .filters, #ajaxsearchprobsettings2_1, #ajaxsearchprobsettings1_1 {
        width: 400px;
    }

    .team .filters, #ajaxsearchprobsettings2_1, #ajaxsearchprobsettings1_1 {
        padding: 14px 12px 6px;
    }

    .macos .team .filters, .macos #ajaxsearchprobsettings2_1, .macos #ajaxsearchprobsettings1_1,
    .ios .team .filters, .ios #ajaxsearchprobsettings2_1, .ios #ajaxsearchprobsettings1_1 {
        padding-top: 10px;
        padding-bottom: 10px;
    }

    .filter_button {
        padding: 15px var(--spacing-5) 12px;
    }

    .macos .filter_button, .ios .filter_button {
        padding-top: 14px;
        padding-bottom: 13px;
    }

}


@media all and (max-width: 575.98px) {

    .section > .section__blog, .section > .section__success_stories {
        padding-top: var(--spacing-9);
    }

    .filters button.filter, .asp_option_checkbox {
        padding: 6px 11px 2px;
        margin-right: 6px;
        margin-bottom: 6px;
    }

    .macos .filters button.filter, .macos .asp_option_checkbox,
    .ios .filters button.filter, .ios .asp_option_checkbox {
        padding-top: 4px;
        padding-bottom: 4px;
    }

    .team .filters, #ajaxsearchprobsettings2_1, #ajaxsearchprobsettings1_1 {
        padding: 8px 8px 2px;
    }

    .macos .team .filters, .macos #ajaxsearchprobsettings2_1, .macos #ajaxsearchprobsettings1_1,
    .ios .team .filters, .ios #ajaxsearchprobsettings2_1, .ios #ajaxsearchprobsettings1_1 {
        padding-top: 8px;
        padding-bottom: 2px;
    }

    .filter_button {
        padding: 14px var(--spacing-5) 11px;
    }

    .macos .filter_button, .ios .filter_button {
        padding-top: 12px;
        padding-bottom: 12px;
    }

}